<h2 mat-dialog-title>Update Interview Address</h2>
<mat-divider></mat-divider>
<form [formGroup]="IntAddressFormGroup">
  <div mat-dialog-content>
    <!-- <p>Are you sure you want to withdraw the referral</p> -->
    <div fxLayout="column" fxLayoutGap="5px" class="int-address-form">
      <div fxLayout="row" fxLayout.lt-sm="column">
        <mat-label>Street Address: </mat-label>
        <mat-form-field appearance="outline" class="regular-mat-form-field">
          <input matInput placeholder="e.g. 15 Metro Tech Center" formControlName="intAddressCtrl">
          <mat-error *ngIf="IntAddressFormGroup.get('intAddressCtrl').invalid">Interview Address is mandatory.</mat-error>
        </mat-form-field>
      </div>
      <div fxLayout="row" fxLayout.lt-sm="column">
        <mat-label>City: </mat-label>
        <mat-form-field appearance="outline" class="regular-mat-form-field">
          <input matInput placeholder="e.g. Brooklyn" formControlName="intCityCtrl">
          <mat-error *ngIf="IntAddressFormGroup.get('intCityCtrl').invalid">City is mandatory.</mat-error>
        </mat-form-field>
      </div>
      <div fxLayout="row" fxLayout.lt-sm="column">
        <mat-label>State: </mat-label>
        <mat-form-field appearance="outline" class="regular-mat-form-field">
          <input matInput placeholder="e.g. NY" formControlName="intStateCtrl" maxlength="2">
          <!-- <mat-select formControlName="intStateCtrl">
            <mat-option [value]="0">Select One</mat-option>
            <mat-option *ngFor="let state of states" [value]="state.abbreviation">
                {{state.abbreviation + ' - ' + state.name}}
            </mat-option>
          </mat-select> -->
          <mat-error *ngIf="IntAddressFormGroup.get('intStateCtrl').invalid">State is mandatory.</mat-error>
        </mat-form-field>
      </div>
      <div fxLayout="row" fxLayout.lt-sm="column">
        <mat-label>Zip Code: </mat-label>
        <mat-form-field appearance="outline" class="regular-mat-form-field">
          <input matInput digitOnly placeholder="e.g. 11201" formControlName="intZipCtrl" maxlength="5">
          <mat-error *ngIf="IntAddressFormGroup.get('intZipCtrl').invalid">Zip Code is mandatory.</mat-error>
        </mat-form-field>
      </div>
      <div fxLayout="row" fxLayout.lt-sm="column">
        <mat-label>Phone Number: </mat-label>
        <mat-form-field appearance="outline" class="regular-mat-form-field">
          <input matInput formControlName="intPhoneCtrl" mask="000-000-0000" [showMaskTyped]="true">
          <mat-error *ngIf="IntAddressFormGroup.get('intPhoneCtrl').invalid">Phone Number is mandatory.</mat-error>
        </mat-form-field>
      </div>
    </div>

  </div>
  <mat-divider></mat-divider>
  <div mat-dialog-actions>
    <span class="idle-button" style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
      <button type="button" mat-raised-button color="primary" [disabled]="!IntAddressFormGroup.valid" (click)="onUpdateClick()" cdkFocusInitial>Update</button>
      <button type="button" mat-raised-button color="primary" (click)="onCancelClick()">Cancel</button>
    </span>

  </div>
</form>
